Merge pull request #239 from JaKooLit/main

main to development
This commit is contained in:
Ja.KooLit
2025-03-20 12:17:04 +09:00
committed by GitHub
5 changed files with 26 additions and 14 deletions

View File

@@ -1,5 +1,8 @@
## CHANGELOGS ## CHANGELOGS
## 20 March 2025
- adjusted hyprland installation script. This is great for those who are using -git packages
## 11 March 2025 ## 11 March 2025
- Added uninstall script - Added uninstall script
- forked AGS v1 into JakooLit repo. This is just incase Aylur decide to take down v1 - forked AGS v1 into JakooLit repo. This is just incase Aylur decide to take down v1

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1007 KiB

After

Width:  |  Height:  |  Size: 1.5 MiB

View File

@@ -25,6 +25,7 @@ hypr_package=(
jq jq
kitty kitty
kvantum kvantum
libspng
nano nano
network-manager-applet network-manager-applet
pamixer pamixer

View File

@@ -16,6 +16,7 @@ fonts=(
ttf-jetbrains-mono ttf-jetbrains-mono
ttf-jetbrains-mono-nerd ttf-jetbrains-mono-nerd
ttf-victor-mono ttf-victor-mono
noto-fonts
) )

View File

@@ -2,11 +2,13 @@
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# Main Hyprland Package # # Main Hyprland Package #
hypr=( hypr_eco=(
hyprland
hypridle hypridle
hyprlock hyprlock
libspng )
hypr=(
hyprland
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
@@ -22,23 +24,28 @@ if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then
exit 1 exit 1
fi fi
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_hyprland.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_hyprland.log"
# Removing other Hyprland to avoid conflict # Check if Hyprland is installed
printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n" if command -v Hyprland >/dev/null 2>&1; then
if pacman -Qs hyprland >/dev/null; then printf "$NOTE - ${YELLOW} Hyprland is already installed.${RESET} No action required.\n"
printf "${YELLOW} Hyprland detected. attempting to uninstall to install Hyprland from official repo...${RESET}\n" else
for hyprnvi in hyprland-git hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do printf "$INFO - Hyprland not found. ${SKY_BLUE} Installing Hyprland...${RESET}\n"
sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true for HYPRLAND in "${hypr[@]}"; do
install_package "$HYPRLAND" "$LOG"
done done
fi fi
# Hyprland # Hyprland -eco packages
printf "${NOTE} Installing ${SKY_BLUE}Hyprland packages${RESET} .......\n" printf "${NOTE} - Installing ${SKY_BLUE}other Hyprland-eco packages${RESET} .......\n"
for HYPR in "${hypr[@]}"; do for HYPR in "${hypr_eco[@]}"; do
install_package "$HYPR" "$LOG" if ! command -v "$HYPR" >/dev/null 2>&1; then
printf "$INFO - ${YELLOW}$HYPR${RESET} not found. Installing ${YELLOW}$HYPR...${RESET}\n"
install_package "$HYPR" "$LOG"
else
printf "$NOTE - ${YELLOW} $HYPR is already installed.${RESET} No action required.\n"
fi
done done
printf "\n%.0s" {1..2} printf "\n%.0s" {1..2}